import PersistTabs from "./Components/BootstrapTabs/PersistTabs";
import Languages from "./Components/Languages/Languages";
import SoundsCpt from "./Components/BackgroundSounds/SoundsCpt";
import BackgroundCpt from "./Components/Background/BackgroundCpt";
import Settings from "./Components/MainSettings/Settings";
import UsersDashbord from "./Components/UsersDashbord/UsersDashbord";
import Paddle from "./Components/PaymentGateways/Paddle";

const components = [PersistTabs, Languages, SoundsCpt, BackgroundCpt, Settings, UsersDashbord, Paddle];

class ComponentsInitializer {
    static init() {
        components.forEach(Class => {
            const instance = new Class();
            instance.init();
        });
    }
}

export default ComponentsInitializer;